SDL_test_log.h File Reference
`#include <SDL3/SDL_stdinc.h>`
`#include <SDL3/SDL_begin_code.h>`
`#include <SDL3/SDL_close_code.h>`
Include dependency graph for SDL_test_log.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

void | SDLTest_LogMessage (SDL_LogPriority priority, SDL_PRINTF_FORMAT_STRING const char *fmt,...)
void | SDLTest_Log (SDL_PRINTF_FORMAT_STRING const char *fmt,...) SDL_PRINTF_VARARG_FUNC(1)
void | SDLTest_LogEscapedString (const char *prefix, const void *buffer, size_t size)
void | SDLTest_LogError (SDL_PRINTF_FORMAT_STRING const char *fmt,...) SDL_PRINTF_VARARG_FUNC(1)

## Function Documentation

## SDLTest_Log()

void SDLTest_Log | ( | SDL_PRINTF_FORMAT_STRING const char * | fmt,
|  |  | ... )

Prints given message with a timestamp in the TEST category and INFO priority.

Parameters

  fmt | Message to be logged

References SDL_PRINTF_FORMAT_STRING, and SDL_PRINTF_VARARG_FUNC.

## SDLTest_LogError()

void SDLTest_LogError | ( | SDL_PRINTF_FORMAT_STRING const char * | fmt,
|  |  | ... )

Prints given message with a timestamp in the TEST category and the ERROR priority.

Parameters

  fmt | Message to be logged

References SDL_PRINTF_FORMAT_STRING, SDL_PRINTF_VARARG_FUNC, and SDLTest_LogError().

Referenced by SDLTest_LogError().

## SDLTest_LogEscapedString()

void SDLTest_LogEscapedString | ( | const char * | prefix,
|  | const void * | buffer,
|  | size_t | size )

Prints given prefix and buffer. Non-printible characters in the raw data are substituted by printible alternatives.

Parameters

  prefix | Prefix message.
  buffer | Raw data to be escaped.
  size | Number of bytes in buffer.

References SDLTest_LogEscapedString(), and size.

Referenced by SDLTest_LogEscapedString().

## SDLTest_LogMessage()

void SDLTest_LogMessage | ( | SDL_LogPriority | priority,
|  | SDL_PRINTF_FORMAT_STRING const char * | fmt,
|  |  | ... )

Logging related functions of SDL test framework.

This code is a part of the SDL test library, not the main SDL library. Prints given message with a timestamp in the TEST category and given priority.

Parameters

  priority | Priority of the message
  fmt | Message to be logged

References SDL_PRINTF_FORMAT_STRING.